
From: Rik van Riel <riel@redhat.com>

Here is the change to rmap.c that goes together with the previous patch.

Signed-off-by: Rik van Riel <riel@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/rmap.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/rmap.c~swaptoken-tuning-fix-2 mm/rmap.c
--- devel/mm/rmap.c~swaptoken-tuning-fix-2	2005-09-04 12:56:30.000000000 -0700
+++ devel-akpm/mm/rmap.c	2005-09-04 12:56:30.000000000 -0700
@@ -302,7 +302,7 @@ static int page_referenced_one(struct pa
 		   swap token and is in the middle of a page fault. */
 		if (mm != current->mm && !ignore_token &&
 				has_swap_token(mm) &&
-				sem_is_read_locked(&mm->mmap_sem))
+				rwsem_is_locked(&mm->mmap_sem))
 			referenced++;
 
 		(*mapcount)--;
_
